#!/usr/bin/perl
$squidCacheDir = "/var/squid";
$squidCacheDirMaxSize = 1700000;

open(STDIN, "du -s $squidCacheDir |");

$line = <STDIN>;
chop($line);

#$line est sous la forme    12345678 $squidCacheDir

if ($line =~ /([\d]+)/){
  if ($1 > $squidCacheDirMaxSize){

    system("echo \"testSquid.pl relance squid \" >> /var/log/messages");

 # ajoute par Aymeric pour essayer de comprendre ce qui se passe
    system("df -k /var/squid >> /var/log/messages");

    system("squid-new >/dev/null 2&>/dev/null &");
 # J'ai rajouté un sujet pour filtrage par procmail OS :-)
    system("echo \"[TEST] j'ai du relancer le squid qui
bouffait trop d'espace\"| mail -s \"testSquid\" root ");
  }	
}
